import request from '@/utils/request';

// 分页
export async function getWorkOrderList(data) {
  const res = await request.get('/eam/workorder/getWorkOrderList', {
    params: data
  });
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 通过工单查询详情
export async function getWorkOrderDetail(code) {
  const res = await request.get('/eam/workorder/getWorkOrderDetail/' + code);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}

// 申请备品备件

export async function applySpareParts(data) {
  const res = await request.post(`/eam/workorder/applySpareParts`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
export async function save(data) {
  const res = await request.post(`/eam/spare_parts_apply/add`, data);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
// // 详情
export async function details (id) {
  const res = await request.get(`/eam/spare_parts_apply/details/${id}`);
  if (res.data.code == 0) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}


// // 保存
// export async function save (data) {
//   const res = await request.post('/eam/repairrequest/save', data);
//   if (res.data.code == 0) {
//     return res.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }
// // 修改
// export async function update (data) {
//   const res = await request.post('/eam/repairrequest/update', data);
//   if (res.data.code == 0) {
//     return res.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }
// // 详情
// export async function getById (id) {
//   const res = await request.get(`/eam/repairrequest/getById/${id}`);
//   if (res.data.code == 0) {
//     return res.data;
//   }
//   return Promise.reject(new Error(res.data.message));
// }
